DROP FUNCTION(7)

NAME
DROP FUNCTION - remove a function

SYNOPSIS

DROP FUNCTION name ( [ type [, ...] ] ) [ CASCADE | RESTRICT ]

DESCRIPTION

DROP FUNCTION removes the definition of an existing function. To execute this command the user must be the owner of the function. The argument types to the function must be specified, since several different functions may exist with the same name and different argument lists.

PARAMETERS

name
    The name (optionally schema-qualified) of an existing function.

type
    The data type of an argument of the function.

CASCADE
    Automatically drop objects that depend on the function (such as operators or triggers).

RESTRICT
    Refuse to drop the function if any objects depend on it. This is the default.

EXAMPLES

This command removes the square root function:

DROP FUNCTION sqrt(integer);

COMPATIBILITY

A DROP FUNCTION statement is defined in the SQL standard, but it is not compatible with this command.

SEE ALSO
CREATE FUNCTION [create_function(7)], ALTER FUNCTION [alter_function(l)]